# wstUsdcLite

## Overview

`wstUsdcLite` is a minimal implementation of `wstUsdc` that will be deployed on all blockchains except for Arbitrum. If users on another chain need to deposit and redeem they must either bridge back to Arbitrum or interact with one of our partnered chain abstraction providers. (More details on this to come).

## Contract API

### `wrap`

```solidity
function wrap(uint256 stUsdcAmount) external returns (uint256 wstUsdcAmount);
```

Wraps `stUsdc` into `wstUsdc`.

### `unwrap`

```solidity
function unwrap(uint256 wstUsdcAmount) external returns (uint256 stUsdcAmount);
```

Unwraps `wstUsdc` and returns `stUsdc` to the user.

### `wstUsdcByStUsdc`

```solidity
function wstUsdcByStUsdc(uint256 stUsdcAmount) external view returns (uint256);
```

Return the amount of `wstUsdc` for a given `stUsdcAmount`.

### `stUsdcByWstUsdc`

```solidity
function stUsdcByWstUsdc(uint256 wstUsdcAmount) external view returns (uint256);
```

Return the amount of `stUsdc` for a given `wstUsdcAmount`.

### `stUsdcPerToken`

```solidity
function stUsdcPerToken() external view returns (uint256);
```

Returns the amount of `stUsdc` per `wstUsdc`.

### `tokensPerStUsdc`

```solidity
function tokensPerStUsdc() external view returns (uint256);
```

Returns the amount of `wstUsdc` for one `stUsdc`.

### `stUsdc`

```solidity
function stUsdc() external view returns (IStUsdc);
```

Returns the `stUsdc` token instance.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stakeup.finance/technical-docs/smart-contracts/tokens/wstusdc/wstusdclite.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
